using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Xml.XPath;
using System.Text;

namespace StarChat
{
	/// <summary>
	/// Summary description for Close.
	/// </summary>
	public class Close : System.Web.UI.Page
	{
		public string chatFileNo;
		public string new_room,name,id,age,sex,avata;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		public string order;

		public Close()
		{
			Page.Init += new System.EventHandler(Page_Init);
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			chatFileNo = Session["roomNo"].ToString();
			order = Session["order"].ToString();
			name = Session["name"].ToString();
			age = Session["age"].ToString();
			id = Session["id"].ToString();
			sex = Session["sex"].ToString();
			avata = Session["avata"].ToString();

			try
			{
				XmlDocument Document1 = new XmlDocument();
				string chatFile = "/StarChat/data/chat"+chatFileNo+".xml";
				XmlTextReader Reader1 = new XmlTextReader (Server.MapPath(chatFile));
				Document1.Load (Reader1);  
				Reader1.Close();
				XmlNodeList CurNodeList1 = Document1.SelectNodes("chatroom/participants/name");
				XmlNodeList CurNodeList2 = Document1.SelectNodes("chatroom/participants/id");
				XmlNodeList CurNodeList3 = Document1.SelectNodes("chatroom/participants/age");
				XmlNodeList CurNodeList4 = Document1.SelectNodes("chatroom/participants/sex");
				XmlNodeList CurNodeList5 = Document1.SelectNodes("chatroom/participants/avata");
				int max = CurNodeList1.Count;

				if(max==1)
				{
					Remove_Room();
				}
				else
				{
					for(int i=0;i<max;i++)
					{
						if(CurNodeList1.Item(i).InnerText==name)
						{
							Document1.DocumentElement.ChildNodes[2].RemoveChild(CurNodeList1.Item(i));
							Document1.DocumentElement.ChildNodes[2].RemoveChild(CurNodeList2.Item(i));
							Document1.DocumentElement.ChildNodes[2].RemoveChild(CurNodeList3.Item(i));
							Document1.DocumentElement.ChildNodes[2].RemoveChild(CurNodeList4.Item(i));
							Document1.DocumentElement.ChildNodes[2].RemoveChild(CurNodeList5.Item(i));
						}
					}
      
					XmlNode CurNode1 = Document1.DocumentElement.ChildNodes[0];
					int totalLine = Int32.Parse(CurNode1.InnerText)+1;
					CurNode1.InnerText=totalLine.ToString(); 
					XmlNode CurNode2 =  Document1.DocumentElement.ChildNodes[3];
					XmlDocumentFragment NewData1 = Document1.CreateDocumentFragment();
					NewData1.InnerXml=("\n\t\t<message from='' to='' no='"+totalLine+"'>&lt;center&gt;&lt;font color='blue'&gt;"+name+" ̽ϴ.&lt;/font&gt;&lt;/center&gt;</message>\n");
					CurNode2.InsertAfter(NewData1, CurNode2.LastChild);
      
					Document1.Save(Server.MapPath(chatFile));
					Del_Participants();
				}
    
    
			}
			catch(Exception ex)
			{ 
			}
		}

		private void Page_Init(object sender, EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
		}

		#region Web Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		protected void Remove_Room()
		{
			XmlDocument Document1 = new XmlDocument();
			string chatFile = "/StarChat/data/chatlist.xml";
			XmlTextReader Reader1 = new XmlTextReader (Server.MapPath(chatFile));
			Document1.Load (Reader1);  
			Reader1.Close();
			XmlNode CurNode1 = Document1.DocumentElement.ChildNodes[0];
			CurNode1.InnerText = (Int32.Parse(CurNode1.InnerText)-1).ToString();
			XmlNode CurNode2 = Document1.DocumentElement.ChildNodes[Int32.Parse(order)-1];
			Document1.DocumentElement.RemoveChild(CurNode2);
			Document1.Save(Server.MapPath(chatFile));
		}

		protected void Del_Participants()
		{
			XmlDocument Document1 = new XmlDocument();
			string chatFile = "/StarChat/data/chatlist.xml";
			XmlTextReader Reader1 = new XmlTextReader (Server.MapPath(chatFile));
			Document1.Load (Reader1);  
			Reader1.Close();          
			XmlNode CurNode1 = Document1.DocumentElement.ChildNodes[Int32.Parse(order)+1];
			CurNode1.ChildNodes[4].InnerText = (Int32.Parse(CurNode1.ChildNodes[4].InnerText)-1).ToString();
        
			Document1.Save(Server.MapPath(chatFile));
		}

	}
}
