using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Xml.XPath;
using System.Text;

namespace StarChat
{
	/// <summary>
	/// Summary description for Onetoone.
	/// </summary>
	public class Onetoone : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
	
	string name,id,age,sex,avata;
		protected System.Web.UI.WebControls.Image Image1;

		public Onetoone()
		{
			Page.Init += new System.EventHandler(Page_Init);
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			name = Session["name"].ToString();
			age = Session["age"].ToString();
			id = Session["id"].ToString();
			sex = Session["sex"].ToString();
			avata = Session["avata"].ToString();

			string	receiver =		Request.QueryString["toid"];
			Label1.Text = id;

			XmlDocument Document1 = new XmlDocument();
			XmlTextReader Reader1 = new XmlTextReader (Server.MapPath("/StarChat/Onetoonedata/memo.xml"));
			Document1.Load (Reader1);  
			Reader1.Close();          
  
			XmlDocumentFragment NewData1 = Document1.CreateDocumentFragment();

			NewData1.InnerXml=("<Memo receiver=\""+receiver+"\">\n"
				+"\t\t<type>0|</type>\n"	
				+"\t\t<sender>"+ id +"|</sender>\n"	
				+"\t\t<name>"+name+"|</name>\n"
				+"\t\t<sex>"+sex+"|</sex>\n"
				+"\t\t<age>"+age+"|</age>\n"
				+"\t\t<avata>"+avata+"|</avata>\n"
			    +"</Memo>");
	
			Document1.DocumentElement.InsertAfter(NewData1, Document1.DocumentElement.LastChild);
	
			Document1.Save(Server.MapPath("/StarChat/Onetoonedata/memo.xml"));


		}

		private void Page_Init(object sender, EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
		}

		#region Web Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
